"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FakeTrafficDataUsageStore = void 0;
const date_fns_1 = require("date-fns");
class FakeTrafficDataUsageStore {
    constructor() {
        this.trafficData = [];
    }
    get(key) {
        throw new Error('Method not implemented.');
    }
    getAll(query) {
        throw new Error('Method not implemented.');
    }
    exists(key) {
        throw new Error('Method not implemented.');
    }
    delete(key) {
        throw new Error('Method not implemented.');
    }
    deleteAll() {
        throw new Error('Method not implemented.');
    }
    destroy() {
        throw new Error('Method not implemented.');
    }
    async upsert(trafficDataUsage) {
        const index = this.trafficData.findIndex((data) => data.day.getTime() === trafficDataUsage.day.getTime() &&
            data.trafficGroup === trafficDataUsage.trafficGroup &&
            data.statusCodeSeries === trafficDataUsage.statusCodeSeries);
        if (index >= 0) {
            this.trafficData[index].count += trafficDataUsage.count;
        }
        else {
            this.trafficData.push(trafficDataUsage);
        }
    }
    async getTrafficDataUsageForPeriod(period) {
        const periodDate = (0, date_fns_1.parse)(period, 'yyyy-MM', new Date());
        return this.trafficData.filter((data) => (0, date_fns_1.isSameMonth)(data.day, periodDate));
    }
}
exports.FakeTrafficDataUsageStore = FakeTrafficDataUsageStore;
//# sourceMappingURL=fake-traffic-data-usage-store.js.map