import type { FromSchema } from 'json-schema-to-ts';
export declare const aiChatMessageSchema: {
    readonly $id: "#/components/schemas/aiChatMessageSchema";
    readonly type: "object";
    readonly description: "Describes an Unleash AI chat message.";
    readonly additionalProperties: false;
    readonly required: readonly ["role", "content"];
    readonly properties: {
        readonly role: {
            readonly type: "string";
            readonly enum: readonly ["system", "user", "assistant"];
            readonly description: "The role of the message sender.";
            readonly example: "user";
        };
        readonly content: {
            readonly type: "string";
            readonly description: "The message content.";
            readonly example: "What is your purpose?";
        };
    };
    readonly components: {
        readonly schemas: {};
    };
};
export type AIChatMessageSchema = FromSchema<typeof aiChatMessageSchema>;
//# sourceMappingURL=ai-chat-message-schema.d.ts.map